Bug 133352 - alsa-lib MUST match alsa-driver
alsa-lib MUST match alsa-driver
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-09-23 09:51 EDT by Thomas Zehetbauer
Modified: 2014-03-16 22:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-14 16:07:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Zehetbauer 2004-09-23 09:51:56 EDT
Fedora development currently ships kernel-2.6.8-1.584 (including
alsa-driver 1.0.4) and alsa-lib-1.0.6-1. This causes - at least -
applications to use the wrong device (/dev/snd/pcmC0D2p) for AC3
passtrough with emu10k1 based soundcards.
Comment 1 Bill Nottingham 2004-09-23 11:46:07 EDT
Is this something that needs provides or conflicts at the kernel
level? (ewww)
Comment 2 Arjan van de Ven 2004-09-23 11:47:08 EDT
this sounds really broken.
Comment 3 Thomas Zehetbauer 2004-09-23 11:54:07 EDT
This means that the device descriptions in /usr/share/alsa from
alsa-lib do not necessarily match the devices provided by the kernel
driver if the versions do not match.

I would suggest to provide alsa-driver in the kernel and require the
matching version from alsa-lib.
Comment 4 Arjan van de Ven 2004-09-23 12:04:51 EDT
that sooooooo sounds the wrong thing. Very very wrong.
You don't want half your userland to go up or down depending on which
exact kernel you boot.
Comment 5 Sammy 2004-09-23 14:56:45 EDT
I think 2.6.8-1.584 does have the 1.0.6 kernel updates. This was 
incorporated from the bk-alsa.patch sometime ago. 
Comment 6 Thomas Zehetbauer 2004-09-23 19:11:43 EDT
Uhm, I think Sammy is right, I have found "Advanced Linux Sound
Architecture Driver Version 1.0.6 (Sun Aug 15 07:17:53 2004 UTC)." in
/lib/modules/2.6.8-1.541smp/kernel/sound/core/snd.ko
Comment 7 Bill Nottingham 2004-10-04 11:32:52 EDT
Coming back to this; if ALSA 1.0.6 is in the kernel, where is the
problem coming from?
Comment 8 Thomas Zehetbauer 2004-10-04 16:23:17 EDT
I have been using a stock 2.6.8.1 kernel, not the Fedora supplied and
patched one, but the problem persists, you need to downgrade alsa-lib
if you boot an old kernel.
Comment 9 Bill Nottingham 2004-10-14 16:07:51 EDT
This isn't really solvable in this context. We can't randomly change
libraries depending on which kernel you boot. Hence, we just have to
make sure that the library stays current with the drivers in the kernel.

(And possibly get a sane release model from upstream... oh well.)

Note You need to log in before you can comment on or make changes to this bug.